## ros-noetic-self-test 1.11.0

=== debian/changelog ===
ros-noetic-self-test (1.11.0-1buster) buster; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-self-test (1.10.4-1buster) buster; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sat, 13 Mar 2021 23:00:00 -0000

ros-noetic-self-test (1.10.3-1buster) buster; urgency=high

  * Set cmake_policy CMP0054 to NEW
  * Update maintainer info
  * Contributors: gemignani

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Fri, 04 Dec 2020 23:00:00 -0000

ros-noetic-self-test (1.10.2-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Sep 2020 22:00:00 -0000

ros-noetic-self-test (1.10.1-1buster) buster; urgency=high

  * Fix GCC warnings with -Wpedantic (#124 <https://github.com/ros/diagnostics/issues/124>)
  * Contributors: Jacob Perron

 -- Austin Hendrix <namniart@gmail.com>  Wed, 19 Aug 2020 22:00:00 -0000

ros-noetic-self-test (1.10.0-1buster) buster; urgency=high

  * Make Guglielmo Gemignani ROS1 maintainer (#155 <https://github.com/ros/diagnostics/issues/155>)
  * Contributors: Guglielmo Gemignani

 -- Austin Hendrix <namniart@gmail.com>  Mon, 10 Aug 2020 22:00:00 -0000

ros-noetic-self-test (1.9.4-1buster) buster; urgency=high

  * noetic release (#136 <https://github.com/ros/diagnostics/issues/136>)
  * Contributors: Alejandro Hernández Cordero

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 31 Mar 2020 22:00:00 -0000

ros-noetic-self-test (1.9.3-1buster) buster; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 01 May 2018 22:00:00 -0000

ros-noetic-self-test (1.9.2-1buster) buster; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-noetic-self-test (1.9.1-1buster) buster; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-noetic-self-test (1.9.0-1buster) buster; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 24 Apr 2017 22:00:00 -0000

ros-noetic-self-test (1.8.10-1buster) buster; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 13 Jun 2016 22:00:00 -0000

ros-noetic-self-test (1.8.9-1buster) buster; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000

ros-noetic-self-test (1.8.8-1buster) buster; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 05 Aug 2015 22:00:00 -0000

ros-noetic-self-test (1.8.7-1buster) buster; urgency=high

  * Upgrade to gtest 1.7.0
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 08 Jan 2015 23:00:00 -0000

ros-noetic-self-test (1.8.6-1buster) buster; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-noetic-self-test (1.8.5-1buster) buster; urgency=high

  * Include gtest source directly
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 28 Jul 2014 22:00:00 -0000

ros-noetic-self-test (1.8.4-1buster) buster; urgency=high

  * Remove stray architechture_independent flags
    This flag should be used for package which do not contain
    architecture-specific files. Compiled binaries are such a file, and
    these packages contain them.
  * Contributors: Scott K Logan

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 24 Jul 2014 18:51:00 -0000

ros-noetic-self-test (1.8.3-1buster) buster; urgency=high

  * Install selftest_rostest
  * Contributors: Austin Hendrix

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 22 Apr 2014 22:00:00 -0000

ros-noetic-self-test (1.8.2-1buster) buster; urgency=high

  * Fix linking. All tests pass.
    Fixes #12 <https://github.com/ros/diagnostics/issues/12>
  * Most tests pass
  * Fix private nodehandle bug
  * Protect tests behind CATKIN_ENABLE_TESTING.
    Fixes #13 <https://github.com/ros/diagnostics/issues/13>
  * Install self test executables. Fixes #16 <https://github.com/ros/diagnostics/issues/16>
  * Contributors: Austin Hendrix

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-noetic-self-test (1.8.1-1buster) buster; urgency=high

  * Add myself as maintainer
  * Added ability to specify the private node handle in TestRunner
    Also now specify the selftest callback queue on only the service so that it does not apply to the entire node
  * fixed test related issues in some CMakeLists
  * Contributors: Austin Hendrix, Brice Rebsamen, Mitchell Wills

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sun, 06 Apr 2014 22:00:00 -0000

ros-noetic-self-test (1.8.0-1buster) buster; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 02 Apr 2013 22:00:00 -0000

ros-noetic-self-test (1.7.11-1buster) buster; urgency=high

  * Fix install rules
  * Fix linking on tests
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 24 Jul 2014 18:24:00 -0000

ros-noetic-self-test (1.7.10-1buster) buster; urgency=high

  * Changed package.xml version number before releasing
  * Contributors: Brice Rebsamen

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 21 Feb 2013 23:00:00 -0000

ros-noetic-self-test (1.7.9-1buster) buster; urgency=high

  * add missing dep to catkin
  * Contributors: Dirk Thomas

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 13 Dec 2012 23:00:00 -0000

ros-noetic-self-test (1.7.8-1buster) buster; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 05 Dec 2012 23:00:00 -0000

ros-noetic-self-test (1.7.7-1buster) buster; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 09 Nov 2012 23:00:00 -0000

ros-noetic-self-test (1.7.6-1buster) buster; urgency=high

  * no library in self test
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 22:32:00 -0000

ros-noetic-self-test (1.7.5-1buster) buster; urgency=high

  * add the missing rostest dependency
  * Contributors: Vincent Rabaud


